=== modified file 'NEWS'
--- NEWS	2009-09-04 04:00:25 +0000
+++ NEWS	2009-09-04 05:20:37 +0000
@@ -47,16 +47,20 @@
 Documentation
 *************
 
+* Help on hooks no longer says 'Not deprecated' for hooks that are
+  currently supported. (Ian Clatworthy, #422415)
+
 * PDF and CHM (Windows HtmlHelp) formats are now supported for the
-  user documentation. (Ian Clatworthy)
+  user documentation. The HTML documentation is better broken up into
+  topics. (Ian Clatworthy)
 
 * The main table of contents now provides links to the new Migration Docs
   and Plugins Guide. (Ian Clatworthy)
 
+
 bzr 2.0rc1
 ##########
 
-
 :Codename: no worries
 :2.0rc1: 2009-08-26
 

=== modified file 'bzrlib/hooks.py'
--- bzrlib/hooks.py	2009-06-10 03:31:01 +0000
+++ bzrlib/hooks.py	2009-09-01 12:29:54 +0000
@@ -219,9 +219,7 @@
         strings.append('Introduced in: %s' % introduced_string)
         if self.deprecated:
             deprecated_string = _format_version_tuple(self.deprecated)
-        else:
-            deprecated_string = 'Not deprecated'
-        strings.append('Deprecated in: %s' % deprecated_string)
+            strings.append('Deprecated in: %s' % deprecated_string)
         strings.append('')
         strings.extend(textwrap.wrap(self.__doc__,
             break_long_words=False))

=== modified file 'bzrlib/tests/test_hooks.py'
--- bzrlib/tests/test_hooks.py	2009-04-06 22:31:35 +0000
+++ bzrlib/tests/test_hooks.py	2009-09-01 12:29:54 +0000
@@ -80,7 +80,6 @@
             "~~~~~~~~~~~~~~~\n"
             "\n"
             "Introduced in: 1.4\n"
-            "Deprecated in: Not deprecated\n"
             "\n"
             "Invoked after the tip of a branch changes. Called with a\n"
             "ChangeBranchTipParams object.\n"
@@ -89,7 +88,6 @@
             "~~~~~~~~~~~~~~\n"
             "\n"
             "Introduced in: 1.6\n"
-            "Deprecated in: Not deprecated\n"
             "\n"
             "Invoked before the tip of a branch changes. Called with a\n"
             "ChangeBranchTipParams object. Hooks should raise TipChangeRejected to\n"
@@ -133,7 +131,6 @@
             "~~~~~~~~~~~~~~~\n"
             "\n"
             "Introduced in: 0.15\n"
-            "Deprecated in: Not deprecated\n"
             "\n"
             "Invoked after changing the tip of a branch object. Called with a\n"
             "bzrlib.branch.PostChangeBranchTipParams object\n", hook.docs())

